% Pitch LQR Design for Space-Plane
[Ap,Bp,Cp,Dp]= vehi_pitch;                       % Load the Pitch Design Model
[Api,Bpi,Cpi,Dpi]= linmod('Pitch_Design');       % Augment Pitch Simulink model 
sys1=SS(Api,Bpi,Cpi,Dpi);      
% Weights[thet,   q,  alpha, theta_int]
Q= diag( [5.5, 3.5, 0.01, 0.1]);                 % Weights(thet,q,alpha,thet_int)
R=1;                                             % Control Weights R=2
[Kq,S,E]= LQR(sys1,Q,R);
save Kq.mat Kq -ascii                            % Save the LQR gains in Kq.mat

% LQR Lateral Design for Space-Plane
[Al,Bl,Cl,Dl]= vehi_later;                       % Load the Lateral Design Model
sys2=SS(Al,Bl,Cl,Dl);      
% states: [phi, p, psi,r, beta]
Q=diag([ 2.0, 0.2, 0.5, 0.2,  0.0001]);  
R=diag([1  1]*1);                                % Control Weights
[Kpr,S,E]= LQR(sys2,Q,R);
save Kpr.mat Kpr -ascii                          % Save the LQR gains in Kpr.mat
load Kmix_50 -ascii                              % Load Mixing Logic Matrix

