%------------------------------------------
label='Reusable Space-Plane Ascent Trajectory-2/ T= 50.0 sec';
%------------------------------------------
figure (1)
SUBPLOT(3,1,1), plot(time,Gust, 'LineWidth',1.5)
Title(label)
ylabel('Wind Gust in (ft/sec)')

SUBPLOT(3,1,2), plot(time,Phcmd*r2d, 'LineWidth',1.5)
ylabel('Phi Comd (deg)')

SUBPLOT(3,1,3), plot(time,Thcmd*r2d, 'LineWidth',1.5)
ylabel('Thet Comd (deg)')
xlabel('Time sec')
%------------------------------------------
figure (2)
SUBPLOT(2,1,1), plot(time,Phi*r2d, time,Phcmd*r2d, 'LineWidth',1.5)
Title(label)
ylabel('Roll Attit phi (deg)')
legend('Phi','Comd');

SUBPLOT(2,1,2), plot(time,Theta*r2d, time,Thcmd*r2d, 'LineWidth',1.5)
ylabel('Pitch Attit theta (deg)')
legend('Theta','Command');
xlabel('Time sec')
%------------------------------------------
figure (3)
plot(time,Phi*r2d, time,Theta*r2d, time,Psi*r2d, 'LineWidth',1.5)
ylabel('Attitudes (deg)')
legend('Phi','Theta','Psi');
xlabel('Time sec')
%------------------------------------------
figure (4)
plot(time,p*r2d, time,q*r2d, time,r*r2d, 'LineWidth',1.5)
ylabel('Body rates (deg/sec)')
legend('P','Q','R');
xlabel('Time sec')
%------------------------------------------
figure (5)
plot(time,Alfa*r2d, time,Beta*r2d, 'LineWidth',1.5)
ylabel('Alpha, Beta (deg)')
legend('Alpha','Beta');
xlabel('Time sec')
%------------------------------------------
figure (6)
SUBPLOT(2,1,1), plot(time,Dye*r2d, 'LineWidth',1.5)
Title(label)
ylabel('Ptch Eng Defl (Dye), (deg)')
legend('Eng#1','Eng#2','Eng#3','Eng#4');

SUBPLOT(2,1,2), plot(time,Dze*r2d, 'LineWidth',1.5)
ylabel('Yaw Eng Defl (Dze), (deg)')
legend('Eng#1','Eng#2','Eng#3','Eng#4');
xlabel('Time sec')
%------------------------------------------
figure (7)
SUBPLOT(2,1,1), plot(time,Thro, 'LineWidth',1.5)
Title(label)
ylabel('Engine Throttles (0-1)')
legend('Eng#3','Eng#4','Eng#5','Eng#6');

SUBPLOT(2,1,2), plot(time,Dsurf*r2d, 'LineWidth',1.5)
ylabel('Surf Deflect (deg)')
legend('Left Flap','Right Flap');
xlabel('Time sec')
%------------------------------------------
figure (8)
SUBPLOT(2,1,1), plot(time,[Veloc,Vcmd], 'LineWidth',2.5)
Title(label)
ylabel('Delta Velocity (ft/sec)')

SUBPLOT(2,1,2), plot(time,Ax, 'LineWidth',1.5)
ylabel('Axial Accel (ft/sec2)')
xlabel('Time sec')
%------------------------------------------

