function [Ave, Bve, Cve, Dve]= vehi_pitch
% Pitch Design Plant at T=50 sec                                                                      
Ave= [
   0.00000000E+00   0.10000000E+01   0.00000000E+00
   0.00000000E+00  -0.15027724E+00   0.79592900E+00
  -0.55917948E-01   0.10000000E+01  -0.67259753E-01
];

Bve= [
   0.00000000E+00
   0.10060947E+01
   0.76590144E-01
];

Cve= [
   0.10000000E+01   0.00000000E+00   0.00000000E+00
   0.00000000E+00   0.10000000E+01   0.00000000E+00
   0.00000000E+00   0.00000000E+00   0.10000000E+01
];

Dve= [
   0.00000000E+00
   0.00000000E+00
   0.00000000E+00
];

%  Definition of State-Space System Variables

%  Inputs  =   1
%    1    Q-dot Pitch Acceleration Demand (rad/sec^2)            
 
%  States  =   3
%    1    State No:  3                                           
%    2    State No:  4                                           
%    3    State No:  7                                           
 
%  Outputs =   3
%    1    Pitch Attitude (thet-123)  (radians)                   
%    2    Pitch Rate     (q-body)    (rad/sec)                   
%    3    Angle of attack, alfa, (radians)                       
