% Pitch LQR Design for Space-Plane
[Ap,Bp,Cp,Dp]= vehi_pitch;                       % Load the Pitch Design Model
[Api,Bpi,Cpi,Dpi]= linmod('Pitch_Design');       % Augment Pitch Simulink model 
sys1=SS(Api,Bpi,Cpi,Dpi);      
% Weights[thet,  q,  alpha, alpha_int]
Q= diag( [0.01, 0.1, 5.0,  1.5]);                % Weights(thet,q,alpha,alfa_int)
R=1;                                             % Control Weights R=2
[Kq,S,E]= LQR(sys1,Q,R);
save Kq.mat Kq -ascii                            % Save the LQR gains in Kq.mat

% LQR Lateral Design for Space-Plane
[Al,Bl,Cl,Dl]= vehi_later;                       % Load the Lateral Design Model
sys2=SS(Al,Bl,Cl,Dl);      
% states: [phi, p, psi,r, beta]
Q=diag([ 3.5, 0.2, 3.5, 0.2,  0.00001]);  
R=diag([1  1]*1);                                % Control Weights
[Kpr,S,E]= LQR(sys2,Q,R);
save Kpr.mat Kpr -ascii                          % Save the LQR gains in Kpr.mat
load Kmix_800 -ascii                             % Load Mixing Logic Matrix

